# $Revision: 1.5 $, $Date: 2005/09/06 20:31:14 $
Summary:	Online help viewer for GNUstep
Summary(pl):	Przegldarka pomocy online dla GNUstepa
Name:		HelpViewer
Version:	0.3
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://www.roard.com/helpviewer/download/%{name}-%{version}.tgz
# Source0-md5:	9e3c1c07cdbe0187ce6e0152d3e8870d
URL:		http://www.roard.com/helpviewer/
BuildRequires:	gnustep-gui-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%define		gstriple	%{gscpu}/%{gsos}/%{libcombo}

%description
HelpViewer is an online help viewer for GNUstep programs.

%description -l pl
HelpViewer to przegldarka pomocy online dla programw z GNUstepa.

%prep
%setup -q

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
%{__make} \
	debug=no \
	OPTFLAG="%{rpmcflags}" \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} install debug=no \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)

%dir %{_prefix}/System/Applications/HelpViewer.app
%attr(755,root,root) %{_prefix}/System/Applications/HelpViewer.app/HelpViewer
%dir %{_prefix}/System/Applications/HelpViewer.app/Resources
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.desktop
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.plist
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.tiff

%dir %{_prefix}/System/Applications/HelpViewer.app
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gscpu}
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gstriple}
%attr(755,root,root) %{_prefix}/System/Applications/HelpViewer.app/%{gstriple}/HelpViewer
%{_prefix}/System/Applications/HelpViewer.app/%{gstriple}/*.openapp
%{_prefix}/System/Applications/HelpViewer.app/HelpViewer
%dir %{_prefix}/System/Applications/HelpViewer.app/Resources
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.plist
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.desktop
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.tiff
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gscpu}
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gscpu}/%{gsos}
%dir %{_prefix}/System/Applications/HelpViewer.app/%{gscpu}/%{gsos}/%{libcombo}
%attr(755,root,root) %{_prefix}/System/Applications/HelpViewer.app/%{gstriple}/HelpViewer
%{_prefix}/System/Applications/HelpViewer.app/%{gstriple}/*.openapp

%{_prefix}/System/Applications/HelpViewer.app/Resources/*.help
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.gorm
%{_prefix}/System/Applications/HelpViewer.app/Resources/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: HelpViewer.spec,v $
Revision 1.5  2005/09/06 20:31:14  arekm
- rel 4

Revision 1.4  2004/11/07 21:47:37  havner
- [mass commit] rel up for rebuild

Revision 1.3  2004/07/05 22:05:48  qboosh
- fixed build on amd64, release 2

Revision 1.2  2004/04/13 20:19:30  qboosh
- pl

Revision 1.1  2004/04/13 18:51:27  aredridel
- added
